petsc-3.4.2 2013-07-02

# PetscTokenFind

Locates next "token" in a string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscTokenFind(PetscToken a,char *result[])

Not Collective

### Input Parameters

a -pointer to token

### Output Parameter

result -location of occurance, NULL if not found

### Notes

This version is different from the system version in that it allows you to pass a read-only string into the function.

This version also treats all characters etc. inside a double quote " as a single token.

Not for use in Fortran

### See Also

PetscTokenCreate(), PetscTokenDestroy()

Level:intermediate
Location:src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages